org.eclipse.swt.events

## Interface FocusListener

All Superinterfaces:
  EventListener, SWTEventListener

All Known Implementing Classes:
  FocusAdapter, HyperlinkManager

    public interface FocusListener
    extends SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated as controls gain and lose focus.

After creating an instance of a class that implements this interface it can be added to a control using the `addFocusListener` method and removed using the `removeFocusListener` method. When a control gains or loses focus, the appropriate method will be invoked.

See Also:
  `FocusAdapter`, `FocusEvent`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`void` `focusGained(FocusEvent e)` Sent when a control gets focus.
`static FocusListener` `focusGainedAdapter(Consumer<FocusEvent> c)` Static helper method to create a `FocusListener` for the `focusGained(FocusEvent e)`) method with a lambda expression.
`void` `focusLost(FocusEvent e)` Sent when a control loses focus.
`static FocusListener` `focusLostAdapter(Consumer<FocusEvent> c)` Static helper method to create a `FocusListener` for the `focusLost(FocusEvent e)`) method with a lambda expression.

### Method Detail

#### focusGained

    void focusGained(FocusEvent e)

Sent when a control gets focus.

Parameters:
  `e` - an event containing information about the focus change

#### focusLost

    void focusLost(FocusEvent e)

Sent when a control loses focus.

Parameters:
  `e` - an event containing information about the focus change

#### focusGainedAdapter

    static FocusListener focusGainedAdapter(Consumer<FocusEvent> c)

Static helper method to create a `FocusListener` for the `focusGained(FocusEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  FocusListener
Since:
  3.106

#### focusLostAdapter

    static FocusListener focusLostAdapter(Consumer<FocusEvent> c)

Static helper method to create a `FocusListener` for the `focusLost(FocusEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  FocusListener
Since:
  3.106